From 8d55dff5857460d128c23a30a7228b6a89441b4a Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Apr 16 2015 17:15:16 +0000
Subject: [PATCH 3/254] Add populate script for dev db.


---

diff --git a/populate.py b/populate.py
new file mode 100644
index 0000000..135c1ad
--- /dev/null
+++ b/populate.py
@@ -0,0 +1,19 @@
+import hubs.models
+
+session = hubs.models.init('sqlite:////var/tmp/hubs.db', True, True)
+
+hub = hubs.models.Hub(name='lol')
+session.add(hub)
+
+widget = hubs.models.Widget(plugin='dummy', index=0)
+session.add(hub)
+hub.widgets.append(widget)
+widget = hubs.models.Widget(plugin='dummy', index=1)
+session.add(hub)
+hub.widgets.append(widget)
+widget = hubs.models.Widget(plugin='dummy', index=0, left=True)
+session.add(hub)
+hub.widgets.append(widget)
+
+session.commit()
+

